Subject: add support for --show-signature in gitk

From: Daniel Fahlke <[email-masked]>
Date: Mon, 23 Nov 2015 13:16:26 +0100

Hi,

the cli command `git log --show-signatures` has the nice feature of
showing additional informations for signed commits.
I want to add this informations into the gitk view of a commit.

I already have finished a first draft of this here
https://github.com/Flyingmana/git/commit/21a93f15e65765bfa98a28538da641877aa9843a
This only works, when gitk is called together with --show-signature, so
my question now is, how to best add it, and should I add it as config
like the "display nearby tags/heads" one?

I also think about adding it to the commit list somehow, but have no
idea yet how it would fit in a good way there.

Now I hope for a bit of feedback if it is the right direction, or if
there is another attempt to prefer.